
;    This file defines the private interfaces between the mount point manager
;    and the mounted devices.

ifndef _MOUNTDEV_
_MOUNTDEV_ equ 1

Fix Different definition in W2K and XP headers

IOCTL_MOUNTDEV_QUERY_UNIQUE_ID              equ CTL_CODE(MOUNTDEVCONTROLTYPE, 0, METHOD_BUFFERED, FILE_ANY_ACCESS)
IOCTL_MOUNTDEV_UNIQUE_ID_CHANGE_NOTIFY      equ CTL_CODE(MOUNTDEVCONTROLTYPE, 1, METHOD_BUFFERED, FILE_READ_ACCESS or FILE_WRITE_ACCESS)
IOCTL_MOUNTDEV_QUERY_SUGGESTED_LINK_NAME    equ CTL_CODE(MOUNTDEVCONTROLTYPE, 3, METHOD_BUFFERED, FILE_ANY_ACCESS)
IOCTL_MOUNTDEV_LINK_CREATED                 equ CTL_CODE(MOUNTDEVCONTROLTYPE, 4, METHOD_BUFFERED, FILE_READ_ACCESS or FILE_WRITE_ACCESS)
IOCTL_MOUNTDEV_LINK_DELETED                 equ CTL_CODE(MOUNTDEVCONTROLTYPE, 5, METHOD_BUFFERED, FILE_READ_ACCESS or FILE_WRITE_ACCESS)
IOCTL_MOUNTDEV_QUERY_STABLE_GUID            equ CTL_CODE(MOUNTDEVCONTROLTYPE, 6, METHOD_BUFFERED, FILE_ANY_ACCESS)

endif
